# IRdWidgetMatchParameters Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetMatchWeight ([in] RtFloat fProb)
HRESULT | SetInitialAspect ([in] BSTR bAspect)
HRESULT | SetParametersName ([in] BSTR bParameters)
HRESULT | GetMatchWeight ([out, retval] RtFloat *pfProb)
HRESULT | GetInitialAspect ([out, retval] BSTR *pbAspect)
HRESULT | GetParametersName ([out, retval] BSTR *pbParameters)

## Detailed Description

IRdWidgetMatchParameters define how good widget matches specified widget activation request.

- This data object is used by automatic widget activation mechanism.

## Member Function Documentation

HRESULT IRdWidgetMatchParameters::SetMatchWeight | ( | [in] RtFloat | fProb | ) |

Set match weight for widget.

Parameters:

  | fProb | [in] Set weight for widget.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdWidgetMatchParameters::SetInitialAspect | ( | [in] BSTR | bAspect | ) |

Set initial aspect for widget.

Parameters:

  | bAspect | [in] Aspect node name.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdWidgetMatchParameters::SetParametersName | ( | [in] BSTR | bParameters | ) |

Set anchor node name.

Parameters:

  | bParameters | [in] Anchor Node name.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdWidgetMatchParameters::GetMatchWeight | ( | [out, retval] RtFloat * | pfProb | ) |

Return stored matching weight.

Returns:
  pfProb [out,retval] Widget matching weight.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdWidgetMatchParameters::GetInitialAspect | ( | [out, retval] BSTR * | pbAspect | ) |

Return stored initial aspect name.

Returns:
  pbAspect [out,retval] Aspect name.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdWidgetMatchParameters::GetParametersName | ( | [out, retval] BSTR * | pbParameters | ) |

Return stored anchor node.

Returns:
  pbParameters [out,retval] Stored Anchor Node name.

  standard HRESULT processing can be applied to returned value.